//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL
{
    using System;
    using System.Collections.Generic;
    
    public partial class Empresas
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Empresas()
        {
            this.Cines = new HashSet<Cines>();
        }
    
        public int id { get; set; }
        public string nombre { get; set; }
        public string localidad { get; set; }
        public string provincia { get; set; }
        public string direccion { get; set; }
        public string urlImagenHeader { get; set; }
        public bool mantenimiento { get; set; }
        public string mpPublicKey { get; set; }
        public string mpAccessToken { get; set; }
        public string cuit { get; set; }
        public string mpClientId { get; set; }
        public string mpClientSecret { get; set; }
        public string ipn { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Cines> Cines { get; set; }
    }
}
